# This spec for backport to M30 is autogenerated. Do not edit it.
# User and group name for ss5
%define ss5_user ss5
%define ss5_group ss5
# Home for ss5 user
%define ss5_home /dev/null
# Shell for ss5 user.
%define ss5_shell /bin/false

Name: ss5
Version: 3.0
Release: alt0.M30.4

Summary: Full featured SOCKS4 and SOCKS5 server
License: GPL
Group: System/Servers

Url: http://digilander.libero.it/matteo.ricchetti/SS5_Project.html

Source: %name-%version.tar.gz
Source1: %name.init
Source2: %name.pam
Source3: %name.sysconfig
Source4: %name.conf

# Fix hardcoded path 
Patch0: %name-hardcodedpath.patch
# Add support of pid-file and signal handler
Patch1: %name-pidfile-sighandler.patch

Requires: openldap pam
BuildRequires: openldap-devel pam-devel

BuildRequires: rpm-build-compat >= 0.4

%description
ss5 is a full featured socks server, which supports both SOCKS4 and SOCKS5 protocols,
that runs on Linux/Solaris platforms. 


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build


make

%install
mkdir -p %buildroot%_sysconfdir/%name
mkdir -p %buildroot%_initdir
mkdir -p %buildroot%_sysconfdir/{sysconfig,pam.d}
mkdir -p %buildroot%_libdir/%name
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_var/run/%name
mkdir -p %buildroot{%_man1dir,%_man5dir}

find . -type f -name *.so -exec install -m644 '{}' %buildroot%_libdir/%name/ \;
install -m755 src/%name %buildroot%_bindir/
install -m755 %SOURCE1 %buildroot%_initdir/%name
install -m640 %SOURCE2 %buildroot/%_sysconfdir/pam.d/%name
install -m640 %SOURCE3 %buildroot/%_sysconfdir/sysconfig/%name
install -m640 %SOURCE4 %buildroot%_sysconfdir/%name/
install -m644 man/linux/*\.1\.* %buildroot%_man1dir/
install -m644 man/linux/*\.5\.* %buildroot%_man5dir/

%pre
/usr/sbin/groupadd -r -f %ss5_group
/usr/sbin/useradd -r -g %ss5_group -d %ss5_home -M -s %ss5_shell -n \
	-c "Socks5 server" %ss5_user >/dev/null 2>&1 ||:

%post
%post_service ss5

%preun
%preun_service ss5

%files
%doc doc/* conf/*
%attr(0750,root,%ss5_group) %dir %_sysconfdir/%name
%attr(0640,root,%ss5_group) %config(noreplace) %_sysconfdir/%name/*
%config(noreplace) %_sysconfdir/pam.d/%name
%config(noreplace) %_sysconfdir/sysconfig/%name
%_initdir/*
%_bindir/*
%attr(0750,%ss5_user,root) %dir %_var/run/%name
%_man1dir/*
%_man5dir/*
%_libdir/%name


%changelog
* Tue May 02 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 3.0-alt0.M30.4
- backport to ALT Linux M30 (by rpmbph script)
- minor spec changes

* Thu Oct 27 2005 Andrew Kornilov <hiddenman@altlinux.ru> 3.0-alt4
- Reworked pidfile and signals handling support 

* Thu Oct 27 2005 Andrew Kornilov <hiddenman@altlinux.ru> 3.0-alt3
- Now use "ss5" user and group

* Sun Oct 23 2005 Andrew Kornilov <hiddenman@altlinux.ru> 3.0-alt2
- New patch for pid-file support

* Wed Oct 19 2005 Andrew Kornilov <hiddenman@altlinux.ru> 3.0-alt1
- First build for Sisyphus

